%define module 	PlRPC
%define version 0.2016
%define release 1mdk

Summary:	%{module} perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group:		Development/Perl
URL:		ftp://ftp.funet.fi/pub/languages/perl/CPAN/authors/id/JWIED
Source0:	%{module}-%{version}.tar.bz2
Requires: 	perl >= 5.600
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	perl-Net-Daemon perl-Storable

%description
%{module} - module for perl

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} 
%{__make}


%install
rm -rf $RPM_BUILD_ROOT

eval `perl '-V:installarchlib'`
install -d $RPM_BUILD_ROOT/$installarchlib

%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} install

install -d $RPM_BUILD_ROOT/%{_datadir}
find $RPM_BUILD_ROOT%{_prefix} -type f -print | sed "s@^$RPM_BUILD_ROOT@@g"| \
	grep -v perllocal.pod | grep -v .packlist | grep -v .bs > \
	%{module}-%{version}-filelist
perl -p -i -e 's/\.3/\.3\.bz2/g' %{module}-%{version}-filelist


%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{module}-%{version}-filelist
%defattr(-,root,root)
%doc README MANIFEST ChangeLog 


%changelog
* Mon Mar 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2016-1mdk
- 0.2016

* Tue Sep 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2015-1mdk
- added by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- first mandrake release

